Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest.core
Class MemberCollectionBuilder

    java.lang.Object
      com.sun.tdk.signaturetest.core.MemberCollectionBuilder

    public class MemberCollectionBuilder

extends java.lang.Object

This class provides methods to findByName an load a class and to compile a ClassDescription for it. The method Class.`forName()` is used to findByName a `Class` object. If the advanced method `forName`(String, `boolean`,ClassLoader) is unavailable, the rougher method `forName`(String) is used.

Nested Class Summary
`static class` | `MemberCollectionBuilder.BuildMode`

Constructor Summary
`MemberCollectionBuilder(Log log)`

Method Summary
`void` | `createMembers(ClassDescription cl, boolean addInherited, boolean fixClass, boolean checkHidding)` Generate `members` field for the given ClassDescription `cl`.
`void` | `setBuildMode(MemberCollectionBuilder.BuildMode bm)`
`void` | `setSecondClassHierarchy(ClassHierarchy signatureClassesHierarchy)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MemberCollectionBuilder

    public MemberCollectionBuilder(Log log)

Method Detail

### createMembers

    public void createMembers(ClassDescription cl,
                              boolean addInherited,
                              boolean fixClass,
                              boolean checkHidding)
                       throws java.lang.ClassNotFoundException

  Generate `members` field for the given ClassDescription `cl`. Recursively findByName all inherited fields, methods, nested classes, and interfaces for the class having the name prescribed by `cl`.

  Throws:
    `java.lang.ClassNotFoundException`
  See Also:
    `MemberDescription`

### setBuildMode

    public void setBuildMode(MemberCollectionBuilder.BuildMode bm)

### setSecondClassHierarchy

    public void setSecondClassHierarchy(ClassHierarchy signatureClassesHierarchy)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD